JdiDefaultExecutionControl.JdiStarter.TargetDescription (Java SE 26 & JDK 26)
Description: declaration: module: jdk.jshell, package: jdk.jshell.execution, class: JdiDefaultExecutionControl, interface: JdiStarter, record: TargetDescription
Keywords: jdk.jshell.execution.JdiDefaultExecutionControl.JdiStarter.TargetDescription class

# Record Class JdiDefaultExecutionControl.JdiStarter.TargetDescription

java.lang.Object
java.lang.Record
jdk.jshell.execution.JdiDefaultExecutionControl.JdiStarter.TargetDescription

Record Components:
  `vm` - the JDI's `VirtualMachine`
  `process` - the external `Process`

Enclosing interface:
  `JdiDefaultExecutionControl.JdiStarter`

public static record JdiDefaultExecutionControl.JdiStarter.TargetDescription(VirtualMachine vm, Process process) extends Record
The description of a started external process.

Since:
  22

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TargetDescription(VirtualMachine vm, Process process)`
  Creates an instance of a `TargetDescription` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `Process`
  `process()`
  Returns the value of the `process` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.
  `VirtualMachine`
  `vm()`
  Returns the value of the `vm` record component.

  ### Methods declared in class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Constructor Details

  - ### TargetDescription

    public TargetDescription(VirtualMachine vm, Process process)
    Creates an instance of a `TargetDescription` record class.
    Parameters:
      `vm` - the value for the `vm` record component
      `process` - the value for the `process` record component

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object
    See Also:
      - `Object.toString()`

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object
    See Also:
      - `Object.hashCode()`

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.
    See Also:
      - `Objects.equals(Object,Object)`

  - ### vm

    public VirtualMachine vm()
    Returns the value of the `vm` record component.
    Returns:
      the value of the `vm` record component

  - ### process

    public Process process()
    Returns the value of the `process` record component.
    Returns:
      the value of the `process` record component